<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="skip-content" role="main">

	<?php do_action( 'digital_marketing_expert_above_slider' ); ?>

	<?php if( get_theme_mod('digital_marketing_expert_slider_hide_show') != ''){ ?>
		<section id="slider">
			<div class="shape"></div>
			<div class="shape-right"></div>
			<div id="carouselExampleIndicators" class="carousel" data-ride="carousel"> 
			    <?php $digital_marketing_expert_slider_pages = array();
			    for ( $count = 1; $count <= 4; $count++ ) {
			        $mod = intval( get_theme_mod( 'digital_marketing_expert_slider'. $count ));
			        if ( 'page-none-selected' != $mod ) {
			          $digital_marketing_expert_slider_pages[] = $mod;
			        }
			    }
		      	if( !empty($digital_marketing_expert_slider_pages) ) :
			        $args = array(
			          	'post_type' => 'page',
			          	'post__in' => $digital_marketing_expert_slider_pages,
			          	'orderby' => 'post__in'
			        );
		        	$query = new WP_Query( $args );
		        if ( $query->have_posts() ) :
		          	$i = 1;
		    	?>     
				    <div class="carousel-inner" role="listbox">
				      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
					        <div <?php if($i == 1){echo 'class="carousel-item fade-in-image active"';} else{ echo 'class="carousel-item fade-in-image"';}?>>
					        	<div class="row">
					        		<div class="col-lg-6 col-md-6">
					        			<div class="carousel-caption">
								            <div class="inner-carousel">
								              	<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
								              	<p class="mb-2"><?php $digital_marketing_expert_excerpt = get_the_excerpt(); echo esc_html( digital_marketing_expert_string_limit_words( $digital_marketing_expert_excerpt,15 ) ); ?></p>
								              	<a href="<?php the_permalink(); ?>" class="getstarted-btn"><?php echo esc_html('Get Started','digital-marketing-expert'); ?><span class="screen-reader-text"><?php echo esc_html('Get Started','digital-marketing-expert'); ?></span></a>
						            		</div>
						            	</div>
					        		</div>
					        		<div class="col-lg-6 col-md-6">
					        			<div class="sliderimg">
						        			<div class="slidehexaimg04">
						        				<div class="slidehexaimg03">
						        					<div class="slidehexaimg02">
						        						<div class="slidehexaimg">
								            				<img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" alt="<?php the_title_attribute(); ?> "/>
									            		</div>
									            	</div>
									            </div>
									        </div>
									    </div>
					        		</div>
					        	</div>
					        </div>
				      	<?php $i++; endwhile; 
				      	wp_reset_postdata();?>
				    </div>
			    <?php else : ?>
			    	<div class="no-postfound"></div>
	      		<?php endif;
			    endif;?>
			</div>
		  	<div class="clearfix"></div>
		</section>
	<?php }?>
	
	<?php do_action('digital_marketing_expert_below_slider'); ?>

	<?php if(get_theme_mod('digital_marketing_expert_section_title') != '' || get_theme_mod('digital_marketing_expert_category_setting') != ''){ ?>
		<section id="service-section" class="py-5">
			<div class="container">
				<div class="service-head text-center mb-5">
					<?php if(get_theme_mod('digital_marketing_expert_section_title') != ''){?>
						<h3><?php echo esc_html(get_theme_mod('digital_marketing_expert_section_title')); ?><hr></h3>
					<?php }?>
					<?php if(get_theme_mod('digital_marketing_expert_section_text') != ''){?>
						<p><?php echo esc_html(get_theme_mod('digital_marketing_expert_section_text')); ?></p>
					<?php }?>
				</div>
				<?php $digital_marketing_expert_catData1 =  get_theme_mod('digital_marketing_expert_category_setting');
				if($digital_marketing_expert_catData1){ 
					$args = array(
						'post_type' => 'post',
						'category_name' => esc_html($digital_marketing_expert_catData1 ,'digital-marketing-expert'),
			        );
			        $i=1; ?>
			        <div class="row">
		        		<?php $query = new WP_Query( $args );
			          	if ( $query->have_posts() ) :
			        		while( $query->have_posts() ) : $query->the_post(); ?>
			          			<div class="col-lg-4 col-md-6">
			          				<div class="service-box">
	          							<div class="service-img">
	          								<?php the_post_thumbnail(); ?>
	          							</div>
          								<div class="service-content">
				            				<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
							              	<p><?php $digital_marketing_expert_excerpt = get_the_excerpt(); echo esc_html( digital_marketing_expert_string_limit_words( $digital_marketing_expert_excerpt,15 ) ); ?></p>
							              	<div class="read-btn">
							              		<a href="<?php the_permalink(); ?>"><?php echo esc_html('Read More','digital-marketing-expert'); ?><span class="screen-reader-text"><?php echo esc_html('Read More','digital-marketing-expert'); ?></span></a>
							              	</div>
			            				</div>
			          				</div>
							    </div>
			          		<?php $i++; endwhile; 
			          		wp_reset_postdata(); ?>
			          	<?php else : ?>
			              	<div class="no-postfound"></div>
			            <?php endif; ?>
	          		</div>
	      		<?php }?>
			</div>
		</section>
	<?php }?>

	<?php do_action('digital_marketing_expert_below_service_section'); ?>

	<div class="container">
	  	<?php while ( have_posts() ) : the_post(); ?>
	  		<div class="lz-content">
	        	<?php the_content(); ?>
	        </div>
	    <?php endwhile; // end of the loop. ?>
	</div>
</main>

<?php get_footer(); ?>